Package ru.bitel.bgbilling.modules.inet.server.event

# Class RequestLogInfoEvent

java.lang.Object
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.modules.inet.server.event.RequestLogInfoEvent

All Implemented Interfaces:
  `java.io.Serializable`

    public class RequestLogInfoEvent
    extends ru.bitel.bgbilling.kernel.event.common.QueueEvent

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier | Constructor | Description
  --- | --- | ---
  `protected` | `RequestLogInfoEvent()` |
  `` | `RequestLogInfoEvent​(int moduleId, java.util.Date month, int accountingRootDeviceId, int deviceId)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `addLogs​(int[] logs)` |
  `int` | `getDeviceId()` |
  `int[]` | `getLogs()` |
  `java.util.Date` | `getMonth()` |
  `void` | `prepareMessage​(javax.jms.Message message)` |

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, serializeAsObject, setLogFunctionProcess, setMessageID, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RequestLogInfoEvent

    protected RequestLogInfoEvent()

  - ### RequestLogInfoEvent

    public RequestLogInfoEvent​(int moduleId, java.util.Date month, int accountingRootDeviceId, int deviceId)

- ## Method Details

  - ### getLogs

    public int[] getLogs()

  - ### addLogs

    public void addLogs​(int[] logs)

  - ### getMonth

    public java.util.Date getMonth()

  - ### getDeviceId

    public int getDeviceId()

  - ### prepareMessage

    public void prepareMessage​(javax.jms.Message message) throws javax.jms.JMSException
    Overrides:
      `prepareMessage` in class `ru.bitel.bgbilling.kernel.event.common.Event`
    Throws:
      `javax.jms.JMSException`